Subject: Re: bug#79351: 30.2; window-resize-symbollwise

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Aug 2025 11:34:25 +0300

> Date: Sun, 31 Aug 2025 09:31:18 +0200
> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> 
>  > According to the manual, window-resize-pixelwise = nil is what you
>  > want.  However, it currently doesn't affect dragging the window border
>  > with the mouse, AFAIU.  Martin, am I right?  This could be a simple
>  > omission.
> 
> You and Stefan wanted mouse dragging to work pixelwise.  See the
> discussion in Bug#16594.
> 
> commit a1a04df94c2cdea0f24733aa9b1892ee7ba50b13
> Author: Eli Zaretskii <[email-masked]>
> Date:   Thu Jan 30 19:42:48 2014 +0200
> 
>      Revert last commit in mouse.el.
> 
> commit df1834593692c4103f89de90aaa882a2fb404eb6
> Author: Martin Rudalics <[email-masked]>
> Date:   Thu Jan 30 14:19:19 2014 +0100
> 
>      In mouse-drag-line obey window-resize-pixelwise (Bug#16594).
> 
>      * mouse.el (mouse-drag-line): When window-resize-pixelwise is
>      nil call adjust-window-trailing-edge with suitable arguments
>      (Bug#16594).

That was because of performance issues, right?  I see nothing in that
discussion that objects to the character-level dragging in principle.

I see no reason not to allow that as an option.  Patches welcome.